#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long a,b,c,prvi,drugi,treci; int brA=0,brB=0,brC=0,min; int ax=0,bx=0,cx=0;
    scanf("%lli%lli%lli",&a,&b,&c);
    long long a1=a; long long b1=b; long long c1=c; long long a2=a; long long b2=b; long long c2=c; long long a3=a; long long b3=b; long long c3=c; long long a4=a; long long b4=b; long long c4=c;
    /////////////////////////////
    while(a1>0) {
        a1/=10;
        brA++;
    }
    while(b1>0) {
        b1/=10;
        brB++;
    }
    while(c1>0) {
        c1/=10;
        brC++;
    }
    ///////////////////////////////
    if(brA<=brB && brA<=brC) {
        min=brA; ax=1;
        b2/=pow(10,brB-min);
        c2/=pow(10,brC-min);
    } else
    if(brB<=brA && brB<=brC) {
        min=brB; bx=1;
        a2/=pow(10,brA-min);
        c2/=pow(10,brC-min);
    } else {
        min=brC; cx=1;
        a2/=pow(10,brA-min);
        b2/=pow(10,brB-min);
    }
    ///////////////////////////////

    if(a2!=b2 && a2!=c2 && b2!=c2) {
        if(a2>=b2 && a2>=c2) {
            prvi=a;
            if(b2<c2) {
                treci=b;
                drugi=c;
            } else {
                treci=c;
                drugi=b;
            }
        }
        if(b2>=a2 && b2>=c2) {
            prvi=b;
            if(a2<c2) {
                treci=a;
                drugi=c;
            } else {
                treci=c;
                drugi=a;
            }
        }
        if(c2>=a2 && c2>=b2) {
            prvi=c;
            if(a2<b2) {
                treci=a;
                drugi=b;
            } else {
                treci=b;
                drugi=a;
            }
        }
    }
    ////////////////////////////////////////////////////////
    if(a2==b2 && a2==c2 && b2==c2) {
        if(ax==1) {
            treci=a;
            if(brB>brC) {
                b3/=pow(10,brB-brC);
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
            if(brB<brC) {
                c3/=pow(10,brC-brB);
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
            if(brB==brC) {
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
        }
        if(bx==1) {
            treci=b;
            if(brA>brC) {
                a3/=pow(10,brA-brC);
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
            if(brA<brC) {
                c3/=pow(10,brC-brA);
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
            if(brA==brC) {
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
        }
        if(cx==1) {
            treci=c;
            if(brA>brB) {
                a3/=pow(10,brA-brB);
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
            if(brA<brB) {
                b3/=pow(10,brB-brA);
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
            if(brA==brB) {
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
        }
    }
    ///////////////////////////////////////
    if(a2==b2 && a2!=c2) {
        if(a2>c2) {
            treci=c;
            if(brA>brB) {
                a3/=pow(10,brA-brB);
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
            if(brA<brB) {
                b3/=pow(10,brB-brA);
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
            if(brA==brB) {
                if(a3>=b3) {
                    prvi=a;
                    drugi=b;
                } else {
                    prvi=b;
                    drugi=a;
                }
            }
        }

        if(a2<c2) {
            prvi=c;
            if(brA>brB) {
                a3/=pow(10,brA-brB);
                if(a3>=b3) {
                    drugi=a;
                    treci=b;
                } else {
                    drugi=b;
                    treci=a;
                }
            }
            if(brA<brB) {
                b3/=pow(10,brB-brA);
                if(a3>=b3) {
                    drugi=a;
                    treci=b;
                } else {
                    drugi=b;
                    treci=a;
                }
            }
            if(brA==brB) {
                if(a3>=b3) {
                    drugi=a;
                    treci=b;
                } else {
                    drugi=b;
                    treci=a;
                }
            }
        }
    }
    /////////////////////////////////////////////
    if(a2==c2 && a2!=b2) {
        if(a2>b2) {
            treci=b;
            if(brA>brC) {
                a3/=pow(10,brA-brC);
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
            if(brA<brC) {
                c3/=pow(10,brC-brA);
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
            if(brA==brC) {
                if(a3>=c3) {
                    prvi=a;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=a;
                }
            }
        }

        if(a2<b2) {
            prvi=b;
            if(brA>brC) {
                a3/=pow(10,brA-brC);
                if(a3>=c3) {
                    drugi=a;
                    treci=c;
                } else {
                    drugi=c;
                    treci=a;
                }
            }
            if(brA<brC) {
                c3/=pow(10,brC-brA);
                if(a3>=c3) {
                    drugi=a;
                    treci=c;
                } else {
                    drugi=c;
                    treci=a;
                }
            }
            if(brA==brC) {
                if(a3>=c3) {
                    drugi=a;
                    treci=c;
                } else {
                    drugi=c;
                    treci=a;
                }
            }
        }
    }
    /////////////////////////////////////////////////////////
    if(b2==c2 && b2!=a2) {
        if(b2>a2) {
            treci=a;
            if(brB>brC) {
                b3/=pow(10,brB-brC);
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
            if(brB<brC) {
                c3/=pow(10,brC-brB);
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
            if(brB==brC) {
                if(b3>=c3) {
                    prvi=b;
                    drugi=c;
                } else {
                    prvi=c;
                    drugi=b;
                }
            }
        }

        if(b2<a2) {
            prvi=a;
            if(brB>brC) {
                b3/=pow(10,brB-brC);
                if(b3>=c3) {
                    drugi=b;
                    treci=c;
                } else {
                    drugi=c;
                    treci=b;
                }
            }
            if(brB<brC) {
                c3/=pow(10,brC-brB);
                if(b3>=c3) {
                    drugi=b;
                    treci=c;
                } else {
                    drugi=c;
                    treci=b;
                }
            }
            if(brB==brC) {
                if(b3>=c3) {
                    drugi=b;
                    treci=c;
                } else {
                    drugi=c;
                    treci=b;
                }
            }
        }
    }

    printf("%lli%lli%lli",prvi,drugi,treci);
    return 0;
}